%define _use_internal_dependency_generator 0

Summary: Mail::Clamav - Perl extension for the clamav virus scanner
Name: perl-Mail-Clamav
Version: 0.20
Release: 1.endian0
License: GPL or Artistic
Group: System Environment/Libraries
Source: http://www.cpan.org/modules/by-module/Mail/Mail-ClamAV-%{version}.tar.gz
Url: http://www.cpan.org
BuildRoot: %{_tmppath}/%{name}-buildroot/
Requires: perl >= 5.6.0
Requires: clamav >= 0.92
BuildRequires: perl >= 5.6.0
BuildRequires: clamav-devel, perl-extras

%define perlversion   %(perl -MConfig -le 'print "$Config{version}"')
%define perlarch %(perl -MConfig -le 'print "$Config{archname}"')


%description
Clam AntiVirus is an anti-virus toolkit for UNIX
<http://www.clamav.com/>. This module provide a simple interface to its
C API.


%package extras
Summary: Mail::Clamav - Perl extension for the clamav virus scanner
Group: System Environment/Libraries
Requires: %{name} = %{version}

%description extras
Clam AntiVirus is an anti-virus toolkit for UNIX
<http://www.clamav.com/>. This module provide a simple interface to its
C API.

This package contains ripped down files

%prep
%setup -q -n Mail-ClamAV-%{version}

%build
sed -i "s%,'y'%,'n'%" Makefile.PL
CFLAGS="$RPM_OPT_FLAGS" yes 'n' | perl Makefile.PL PREFIX=$RPM_BUILD_ROOT/usr INSTALLDIRS=vendor < /dev/null
yes 'n' | make
make test

%install
rm -rf $RPM_BUILD_ROOT
make install

[ -x /usr/lib/rpm/brp-compress ] && /usr/lib/rpm/brp-compress

find $RPM_BUILD_ROOT \( -name perllocal.pod -o -name .packlist \) -exec rm -v {} \;
find $RPM_BUILD_ROOT -type f -name '*.bs' -a -empty -exec rm -f {} ';'

%clean 
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%dir %{_libdir}/perl5/vendor_perl/%{perlversion}/%{perlarch}/Mail
%{_libdir}/perl5/vendor_perl/%{perlversion}/%{perlarch}/Mail/*.pm
%dir %{_libdir}/perl5/vendor_perl/%{perlversion}/%{perlarch}/auto
%dir %{_libdir}/perl5/vendor_perl/%{perlversion}/%{perlarch}/auto/Mail
%dir %{_libdir}/perl5/vendor_perl/%{perlversion}/%{perlarch}/auto/Mail/ClamAV
%{_libdir}/perl5/vendor_perl/%{perlversion}/%{perlarch}/auto/Mail/ClamAV/*.so

%files extras
%defattr(-,root,root)
%{_mandir}/man?/*


%changelog
* Sun Jan 04 2008 Mike Tremaine <mgt@stellarcore.net>
- Patched 0.20 for new ClamAV 0.92 API
* Sun Mar 04 2007 Mike Tremaine <mgt@stellarcore.net>
- Updated to 0.20 for new ClamAV API
* Fri Oct 28 2005 Peter Warasin <peter@endian.it>
- initial package
